> ## Documentation Index
> Fetch the complete documentation index at: https://docs.publishbuddy.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get list of profiles



## OpenAPI

````yaml /openapi.json get /workspaces/{workspace}/profiles
openapi: 3.1.0
info:
  title: PublishBuddy
  version: 0.0.1
servers:
  - url: https://api.publishbuddy.com/v1
security: []
paths:
  /workspaces/{workspace}/profiles:
    get:
      tags:
        - Profile
      summary: Get list of profiles
      operationId: v1.workspaces.profiles.index
      parameters:
        - name: workspace
          in: path
          required: true
          description: The workspace UUID
          schema:
            type: string
        - name: order[name]
          in: query
          schema:
            type: string
            enum:
              - profiles.id
              - social_profiles.name
        - name: order[value]
          in: query
          schema:
            type: string
            enum:
              - asc
              - desc
        - name: Authorization
          in: header
          required: true
          description: JWT token.
          schema:
            type: string
          example: Bearer 123
      responses:
        '200':
          description: Array of `ProfileResource`
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      $ref: '#/components/schemas/ProfileResource'
                required:
                  - data
        '401':
          $ref: '#/components/responses/AuthenticationException'
        '403':
          $ref: '#/components/responses/AuthorizationException'
        '404':
          $ref: '#/components/responses/ModelNotFoundException'
        '422':
          $ref: '#/components/responses/ValidationException'
components:
  schemas:
    ProfileResource:
      type: object
      properties:
        id:
          type: string
          description: ID
        workspace:
          $ref: '#/components/schemas/WorkspaceResource'
          description: Workspace the profile belongs to
        social_profile:
          $ref: '#/components/schemas/SocialProfileResource'
          description: Social Profile info
        account_id:
          type:
            - string
            - 'null'
          description: Account ID which the profile is associated with
        connected:
          type: string
          description: The Profile connection status
        queue:
          $ref: '#/components/schemas/QueueResource'
          description: Queue info
        schedule:
          $ref: '#/components/schemas/ScheduleResource'
          description: Schedule Info
        profile_type:
          $ref: '#/components/schemas/ProfileTypeResource'
          description: Profile Type Info
        own_type:
          type: string
          description: >-
            Profile Own Types — defines the ownership scope of a social profile
            within the application. Possible values: workspace, public
          enum:
            - workspace
            - public
        users:
          type: array
          description: Users Info
          items:
            $ref: '#/components/schemas/UserResource'
        access_level:
          type: string
          description: Access level of current user to profile
        connections:
          type: array
          description: Connections Info
          items:
            $ref: '#/components/schemas/ConnectionResource'
        is_facebook_group:
          type: boolean
          description: 'Bool value: Is the profile a facebook group'
        synchronization_status:
          type: string
          description: >-
            Shows profile analytics synchronization status.

            Possible values: 0 - Synchronization in Process, 1 - Synchronized, 2
            - Failed Synchronization
          enum:
            - synchronization_in_process
            - synchronized
            - failed_synchronization
        using_connection:
          $ref: '#/components/schemas/ConnectionResource'
          description: The connection that the CURRENT user uses for the profile
        status:
          type: string
          description: >-
            Profile status. Shows whether the user can do something with this
            profile

            Possible values: 0 - Inactive, 1 - Active
          enum:
            - inactive
            - active
      required:
        - id
        - workspace
        - social_profile
        - account_id
        - connected
        - queue
        - schedule
        - profile_type
        - own_type
        - users
        - access_level
        - connections
        - is_facebook_group
        - synchronization_status
        - using_connection
        - status
      title: ProfileResource
    WorkspaceResource:
      type: object
      properties:
        id:
          type: string
          description: ID
        name:
          type: string
          description: Name
        avatar:
          type:
            - string
            - 'null'
          description: Full url of avatar image if existed, otherwise null
      required:
        - id
        - name
        - avatar
      title: WorkspaceResource
    SocialProfileResource:
      type: object
      properties:
        id:
          type: string
          description: ID
        name:
          type: string
          description: Name of social profile, profile name in social network
        about:
          type: string
          description: Account description, profile description in social network
        network:
          $ref: '#/components/schemas/NetworkResource'
          description: Network Info
        image:
          type: object
          description: Full image Url, avatar in social network
          properties:
            link:
              type: string
          required:
            - link
        social_id:
          type: string
          description: ID which using in social network
        identifier:
          type: string
          description: Identifier (mainly for Telegram channels - username or invite link)
        social_profile_entities:
          type: array
          description: '"Subprofiles" Info'
          items:
            $ref: '#/components/schemas/SocialProfileEntityResource'
      required:
        - id
        - name
        - about
        - network
        - image
        - social_id
        - identifier
        - social_profile_entities
      title: SocialProfileResource
    QueueResource:
      type: object
      properties:
        id:
          type: string
          description: ID
        profile_id:
          type: string
          description: Profile ID
        timeslots:
          type: array
          description: Timeslots Info
          items:
            $ref: '#/components/schemas/TimeslotResource'
      required:
        - id
        - profile_id
        - timeslots
      title: QueueResource
    ScheduleResource:
      type: object
      properties:
        id:
          type: string
          description: ID
        profile_id:
          type: string
          description: Profile ID
        datetimeslots:
          type: array
          description: Datetimeslots info
          items:
            $ref: '#/components/schemas/DatetimeslotResource'
      required:
        - id
        - profile_id
        - datetimeslots
      title: ScheduleResource
    ProfileTypeResource:
      type: object
      properties:
        id:
          type: string
          description: ID
        name:
          type: string
          description: >-
            The name of profile Type. Possible values: profile, group, page,
            private, supergroup, channel
      required:
        - id
        - name
      title: ProfileTypeResource
    UserResource:
      type: object
      properties:
        id:
          type: string
          description: ID
        state:
          description: >-
            The current user state, includes active workspace. If existed,
            otherwise null
          anyOf:
            - type: object
              properties:
                workspace_id:
                  type: 'null'
              required:
                - workspace_id
            - type: string
        unread_notifications_count:
          type: integer
          description: The count of unread notifications
        avatar:
          type: string
          description: Full avatar url if existed, otherwise null
        time_format:
          type: string
          description: 'Time format. Possible values: 12, 24'
        timezone:
          type: string
          description: User timezone. Default (UTC)
        name:
          type: string
          description: The name of user
        email:
          type: string
          description: The Email of user
        status:
          type: string
          description: >-
            Current user status uppercase for active workspace if active
            workspace existed. Default: ACTIVE. Possible values: ACTIVE,
            DISABLED, PENDING
        push_notifications_allowed:
          type: boolean
          description: Is it allowed to send notifications
        workspaces:
          type: array
          description: User Workspaces Info
          items:
            $ref: '#/components/schemas/WorkspaceResource'
        role:
          $ref: '#/components/schemas/RoleResource'
          description: User role of active workspace
        pivot:
          type: object
          description: >-
            Metadata from the pivot (access level and connection type), if
            available
          properties:
            access_level:
              type: string
              description: Access level of user to pivot
            connection_type:
              type: string
              description: Connection type of user to pivot
          required:
            - access_level
            - connection_type
        profiles:
          type: array
          description: User Profiles Info
          items:
            $ref: '#/components/schemas/ProfileResource'
        permissions:
          type: array
          description: User Permissions Info
          items:
            $ref: '#/components/schemas/PermissionResource'
        email_notification_settings:
          type: string
      required:
        - name
        - email
        - status
        - push_notifications_allowed
        - email_notification_settings
      title: UserResource
    ConnectionResource:
      type: object
      properties:
        id:
          type: string
          description: ID
        user_id:
          type: string
          description: User ID
        status:
          type: string
          description: 'Connection Status. Possible Values: Active, Failed'
        type:
          type: string
          description: >-
            Connection type. Possible Values: OwnersAccountConnection,
            MembersAccountConnection
      required:
        - id
        - user_id
        - status
        - type
      title: ConnectionResource
    NetworkResource:
      type: object
      properties:
        id:
          type: string
          description: ID
        name:
          type: string
          description: Network Name
        profile_types:
          type: array
          description: Profile Type Info
          items:
            $ref: '#/components/schemas/ProfileTypeResource'
        support_analytics:
          type: string
          description: Is network support analytics
        support_engage:
          type: string
          description: Is network support engage
      required:
        - id
        - name
        - profile_types
        - support_analytics
        - support_engage
      title: NetworkResource
    SocialProfileEntityResource:
      type: object
      properties:
        id:
          type: string
          description: ID
        name:
          type: string
          description: Name of social profile, profile name in social network
        about:
          type: string
          description: Account description, profile description in social network
        image:
          type: object
          description: Full image Url, avatar in social network
          properties:
            link:
              type: string
          required:
            - link
        social_id:
          type: string
          description: ID which using in social network
        social_profile_entity_type:
          $ref: '#/components/schemas/SocialProfileEntityTypeResource'
          description: Type of "Subprofile" info
      required:
        - id
        - name
        - about
        - image
        - social_id
        - social_profile_entity_type
      title: SocialProfileEntityResource
    TimeslotResource:
      type: object
      properties:
        id:
          type: string
          description: ID
        day_of_week:
          type: string
          description: Day of week
        time:
          type: string
          description: 'Time, format: H:i'
        post_type:
          type: string
          description: Post type info if existed, otherwise null
        label:
          type: string
          description: The label of timeslot
        social_account_id:
          type: string
          description: Social Account ID
      required:
        - id
        - day_of_week
        - time
        - post_type
        - label
        - social_account_id
      title: TimeslotResource
    DatetimeslotResource:
      type: object
      properties:
        id:
          type: string
          description: ID
        datetime:
          type: string
          description: 'Date time format by: Y-m-d H:i'
        date:
          type: string
          description: 'Date format by: Y-m-d'
        time:
          type: string
          description: 'Time format by: H:i'
      required:
        - id
        - datetime
        - date
        - time
      title: DatetimeslotResource
    RoleResource:
      type: object
      properties:
        id:
          type: string
          description: ID
        name:
          type: string
          description: Name
      required:
        - id
        - name
      title: RoleResource
    PermissionResource:
      type: object
      properties:
        name:
          type: string
          description: Permission name
      required:
        - name
      title: PermissionResource
    SocialProfileEntityTypeResource:
      type: object
      properties:
        name:
          type: string
          description: Type name of "Subprofile"
      required:
        - name
      title: SocialProfileEntityTypeResource
  responses:
    AuthenticationException:
      description: Unauthenticated
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    AuthorizationException:
      description: Authorization error
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    ModelNotFoundException:
      description: Not found
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    ValidationException:
      description: Validation error
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Errors overview.
              errors:
                type: object
                description: A detailed description of each field that failed validation.
                additionalProperties:
                  type: array
                  items:
                    type: string
            required:
              - message
              - errors

````